﻿@model Avira.MarketingResearch.Model.ViewModels.RegionInsertDbViewModel
@{
    ViewBag.Title = "Create Region";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">
    <h4>Create New Region</h4>

    <div class="section-container section-with-top-border">
        @using (Html.BeginForm("Create", "Region", FormMethod.Post))
        {
            @Html.AntiForgeryToken()

        <div class="form-horizontal">

            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            @Html.HiddenFor(model => model.Id)

            <div class="form-group">
                @Html.LabelFor(model => model.RegionName, "Region Name", htmlAttributes: new { @class = "col-md-2" })
                <div class="col-md-5">
                    @Html.EditorFor(model => model.RegionName, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.RegionName, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(model => model.CountryIDList, "Country", htmlAttributes: new { @class = "col-md-2" })
                <div class="col-md-5">
                    @Html.DropDownListFor(model => model.CountryIDList, new SelectList((System.Collections.IEnumerable)ViewData["CountryList"], "Value", "Text"), new { size = 8,@class = "form-control", multiple = "multiple" })
                    @Html.ValidationMessageFor(model => model.CountryIDList, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-2"></div>
                <div class="col-md-offset-5 p-l-15">
                    <input type="submit" value="Save" class="btn btn-rounded btn-grey m-b-5 width-100" />
                    <a href="~/Region/Index" class="btn btn-rounded btn-inverse m-b-5 width-100">Back to List </a>
                </div>
            </div>
        </div> 
        }  
    </div>
</div>

